<div *ngIf=" questionNumber  > getQI()">
    {{"Question n°"+ (getQI()+1) + "/" + questionNumber + ":"}}
    <b> {{getElapsedTime() | number : '1.1-1'}}  seconds elapsed </b>
    <br> 
    <h3> 
      {{ quizz.quizz[getQI()].question }}
    </h3>
    <div *ngFor="let proposition of quizz.quizz[getQI()].propositions;">
        <button class="btn btn-dark btn-block mt-2" (click)='next($event, proposition)'> {{proposition}}</button>
    </div>
</div>

<div *ngIf=" getQI() >= questionNumber ">

    <app-result-preview  [correction]="correction" > </app-result-preview>

    <button *ngIf="!isChallenge" class="btn btn-info btn-block mt-2" (click)="quizzEventEmitter('replay')"> <b> Play Again </b> </button>
    <button *ngIf="!isChallenge" class="btn btn-primary btn-block mt-2" (click)="quizzEventEmitter('quizz')"> <b> Select Category </b> </button>
    <button *ngIf="!isChallenge && !alreadyChallenged" class="btn btn-primary btn-block mt-2" (click)="quizzEventEmitter('challenge')"> <b> Challenge a friend </b> </button>
    <button class="btn btn-dark btn-block mt-2" (click)="quizzEventEmitter('home')"> <b> Close </b> </button>

    
</div>
    <!-- "réponse" : "Superman",
    "anecdote" : "Dans 'Superman', Clark Kent et Loïs Lane, deux des héros de la saga, sont journalistes au 'Daily Planet'." -->